Skip to content

Host Ping

POST
/api/operate/namespaces/{namespace}/sites/{site}/vpm/debug/{node}/host-ping
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/operate/namespaces/example/sites/example/vpm/debug/example/host-ping \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "count": 1, "dest": "example", "interval": 1, "length": 1, "namespace": "example", "node": "example", "site": "example" }'

Ping intiated from host kernel.

Examples of this operation.

namespace
required
string

Namespace Namespace for which the request is sent (system)

site
required
string

Site Name Name of the site.

node
required
string

Node Name Name of the node.

Media typeapplication/json
Host Ping Request

Request to initiate ping from the site.

object
count
Count

Number of ping requests.

integer format: int32
dest
Destination

Destination to ping can be IP Address or DNS name.

string
<= 1024 characters
interval
Interval

Interval is the wait time between each packet send. Default is 1s (1000ms).

integer format: int32
length
Length

Size of packet being sent.

integer format: int32
namespace
Namespace

Namespace for which the request is sent (system)

string
>= 6 characters <= 1024 characters
node
Node Name

Name of the node.

string
<= 1024 characters
site
Site Name

Name of the site.

string
<= 1024 characters
Examplegenerated
{
"count": 1,
"dest": "example",
"interval": 1,
"length": 1,
"namespace": "example",
"node": "example",
"site": "example"
}

A successful response.

Media typeapplication/json
Host Ping Response

Response to initiated ping from the site.

object
avg_rtt
Average RTT

AvgRtt is the average round-trip time.

string
<= 1024 characters
dest_ip
Destination IP

Destination IP is the address of the host being pinged.

string
<= 1024 characters
lost
Packets Lost

Lost is the percentage of packets lost.

integer format: int32
max_rtt
Max RTT

MaxRtt is the maximum round-trip time.

string
<= 1024 characters
min_rtt
Min RTT

MinRtt is the minimum round-trip time.

string
<= 1024 characters
received
Packets Received

Received is the number of packets received.

integer format: int32
sent
Packets Sent

Sent is the number of packets sent.

integer format: int32
std_dev_rtt
Standard Deviation RTT

StdDevRtt is the standard deviation of the round-trip times.

string
<= 1024 characters
Examplegenerated
{
"avg_rtt": "example",
"dest_ip": "example",
"lost": 1,
"max_rtt": "example",
"min_rtt": "example",
"received": 1,
"sent": 1,
"std_dev_rtt": "example"
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example